FreeBSD : lighttpd -- FastCGI header overrun in mod_fastcgi (4b673ae7-5f9a-11dc-84dd-000102cc8983)

This script is Copyright (C) 2007-2013 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing a security-related update.

Description :

lighttpd maintainer reports :

Lighttpd is prone to a header overflow when using the mod_fastcgi
extension, this can lead to arbitrary code execution in the fastcgi
application. For a detailed description of the bug see the external
reference.

This bug was found by Mattias Bengtsson and Philip Olausson

See also :

http://www.lighttpd.net/assets/2007/9/9/lighttpd_sa_2007_12.txt
http://www.nessus.org/u?a1275f2e
http://www.nessus.org/u?54fdd5f9

Solution :

Update the affected package.

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)
Public Exploit Available : true

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 26037 (freebsd_pkg_4b673ae75f9a11dc84dd000102cc8983.nasl)

Bugtraq ID:

CVE ID: CVE-2007-4727

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now